# molecule.yml is the central configuration entrypoint for Molecule. \
#  With this file, you can configure each tool that Molecule will employ when testing your role.
#
# Tells molecule everything it needs to know about your testing:
#  what OS to use, how to lint your role, how to test your role, etc.
---
dependency:
  name: galaxy
driver:
  name: docker
# Platforms define the instances to be tested, and the groups to which the instances belong.
platforms:
  - name: ee
    image: registry.gitlab.com/sandlin/dockerfiles/ansible-ubuntu1804:latest
    groups:
      - ee
    override_command: False
    #privileged: True
    pre_build_image: true
provisioner:
  name: ansible
  log: True
  config_options:
    defaults:
      debug: False
      verbosity: 4
      #timeout: 20
      callback_type: stdout
      profile_tasks: true
      profile_roles: true
      stdout_callback: yaml
  inventory:
    group_vars:
      ee:
        #This file represents the minimum base config you need to utilize this role.
        gitlab_root_password: "password"
        gitlab_root_email: "test@example.com"

        api_username: "apiuser"
        api_password: "apipassword"

        # If we use gitlab-ee we must have a license file to start the app.
        gitlab_license_key: ""

        # WE DON'T USER LDAP IN DEMO
        ldap_enabled: False


        # ENABLE SMTP
        smtp_enabled: True
        smtp_address: smtp.bar.com
        smtp_domain: bar.com
        smtp_user_name: foo@bar.com
        smtp_password: foosball
        smtp_authentication: plain
        smtp_enable_starttls_auto: True

        # ENTABLE GITLAB_MAIL
        email_enabled: True
        email_from: foo@bar.com
        email_display_name: "Foo Bar"
        email_reply_to: foo_reply@bar.com
        email_subject_suffix: "Email Subject Suffix"


        # General config.

        gitlab_edition: "ee"
        gitlab_version: "13.8.1"

        external_url: "http://localhost"

#    links:
#      group_vars: ./group_vars

verifier:
  name: ansible
  log: True
  config_options:
    defaults:
      debug: True
  enabled: True

lint: |
  set -e
  yamllint .
  ansible-lint
  flake8

scenario:
  name: ee
  scenario:
    create_sequence:
      - create # Create the Docker container
      #- prepare # There are no prepare requirements for this role currently.
    check_sequence:
      - destroy
      - create # Create the Docker container
      #- prepare # There are no prepare requirements for this role currently.
      - converge # Call the Ansible role
      - check
      - destroy
    converge_sequence:
      - create # Create the Docker container
      #- prepare # There are no prepare requirements for this role currently.
      - converge # Call the Ansible role
    destroy_sequence:
      - destroy
    test_sequence:
      - lint # Run yamllint and ansible-lint on YAML files, and flake8 on the Python test files
      - destroy
      #- syntax # Having issues getting this running in pipeline and I'm already doing lint so take this out.
      - create # Create the Docker container
      #- prepare # There are no prepare requirements for this role currently.
      - converge # Run molecule/ee/playbook.yml
      - idempotence # Run the playbook a second time to ensure nothing is marked as changed.
      - verify # Run tests
      - destroy
